Error setting up SSL

While trying to set up SSL via the WebUI, I get the below error.

RAN: /usr/bin/certbot certonly --authenticator standalone --pre-hook systemctl stop apache2 --post-hook systemctl start apache2 --preferred-challenges http --agree-tos --non-interactive --domain ***** -m *****

STDOUT:

STDERR:
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator standalone, Installer None
An unexpected error occurred:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py”, line 417, in wrap_socket
cnx.do_handshake()
File “/usr/lib/python3/dist-packages/OpenSSL/SSL.py”, line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File “/usr/lib/python3/dist-packages/OpenSSL/SSL.py”, line 1166, in _raise_ssl_error
raise SysCallError(errno, errorcode.get(errno))
OpenSSL.SSL.SysCallError: (104, ‘ECONNRESET’)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-pac… (1425 more, please see e.stderr)

For SSL I use a reverse proxy service, installed in my opnsense router.

It’s very easy to manage and the letsencrypt service keeps my certs valid.

I highly recommend it.